Re: libpanel-applet-3 and gtk 2

Le mercredi 09 février 2011, à 22:59 +0200, Aurimas Černius a écrit :
> Hi,
> Will there be a gtk2 version of libpanel-applet-3 when GNOME 3.0 is
> released?

There is libpanel-applet-4 for the fallback mode in GNOME 3. There's no
plan to have a gtk2 version of it, at the moment. It's certainly doable,
though, but I don't see much point in doing so. I'd guess it's just a
matter of taking libpanel-applet-3 and updating it for the dbus protocol
changes (mostly in background handling); and removing the option to run
the applets in-process.


> The same question is for Bonobo applets. Will they still be supported?

Not excessively hard to do so, but not being actively worked on right
now. I'm not sure it's worth investing time in there, since the number
of applets that were developped over years is rather small...


Les gens heureux ne sont pas pressés.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]